#include <stdio.h>
#include <stdlib.h>

int main()
{
int a,n;
scanf("%d%d",&n,&a);
int prosecno;
prosecno=n/5;
if (prosecno<(a*2-2))
    while (n>0)
    {
        if (n>a)
        {
            printf("%d",a);
            n=n-a;
        }
        else
        {
            printf("%d",n);

        }
        if (n>a-2)
        {
            printf("%d",(a-2));
            n=n-(a-2);
        }
        else {printf("%d",n);
        n=0;}
        int i=0;
        int m;
        m=n/(a-1);
        if (m==10)
        {

         for (i=0; i<5; i++)
            {
                printf("%d",a);
                printf("%d",a-2);
            }
        }
             int naRazliku;
        if (prosecno>a*2-2)
        {
               naRazliku=n-(a*2-2)*4;
        }
        if (n%2==0);
        { for (i=0;i<4;i++)
            printf("%d",a);
            printf("%d",a*2);
        }
        int k;
        k=naRazliku/2+1;
        int o;
        o=naRazliku/2-1;
        printf("%d",k);
        printf("%d",o);

    }
    else printf("%d",-1);

    return 0;
}